Просмотр исходного кода

Added extra protections against incorrect rm

Daniel Gibbs 10 лет назад
Родитель
Сommit
89a68e03a7
2 измененных файлов с 51 добавлено и 8 удалено
  1. 40 0
      functions/command_update_functions.sh
  2. 11 8
      lgsm/functions/command_update_functions.sh

+ 40 - 0
functions/command_update_functions.sh

@@ -0,0 +1,40 @@
+#!/bin/bash
+# LGSM update_functions.sh function
+# Author: Daniel Gibbs
+# Website: http://gameservermanagers.com
+lgsm_version="270216"
+
+# Description: Deletes the functions dir to allow re-downloading of functions from GitHub.
+
+function_selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"
+check.sh
+fn_print_dots "Updating functions"
+fn_scriptlog "Updating functions"
+sleep 1
+echo -ne "\n"
+
+
+
+# Removed legecy functions dir
+if [ -n "${rootdir}" ]; then
+	if [ -d "${rootdir}/functions/" ]; then
+		rm -rfv "${rootdir}/functions/"
+		exitcode=$?
+	fi
+fi
+
+if [ -n "${functionsdir}" ]; then
+	if [ -d "${functionsdir}" ]; then
+		rm -rfv "${functionsdir}/"*
+		exitcode=$?
+	fi	
+fi
+
+if [ "${exitcode}" == "0" ]; then
+	fn_print_ok "Updating functions"
+	fn_scriptlog "Success! Updating functions"
+else
+	fn_print_fail "Updating functions"
+	fn_scriptlog "Failure! Updating functions"
+fi
+echo -ne "\n"

+ 11 - 8
lgsm/functions/command_update_functions.sh

@@ -13,18 +13,21 @@ fn_scriptlog "Updating functions"
 sleep 1
 echo -ne "\n"
 
+
+
 # Removed legecy functions dir
-if [ -d "${rootdir}/functions/" ]; then
-	rm -rfv "${rootdir}/functions/"
-	exitcode=$?
+if [ -n "${rootdir}" ]; then
+	if [ -d "${rootdir}/functions/" ]; then
+		rm -rfv "${rootdir}/functions/"
+		exitcode=$?
+	fi
 fi
 
 if [ -n "${functionsdir}" ]; then
-	rm -rfv "${functionsdir}/"*
-	exitcode=$?
-else
-	fn_print_fail "Updating functions"
-	fn_scriptlog "Failure! Updating functions"	
+	if [ -d "${functionsdir}" ]; then
+		rm -rfv "${functionsdir}/"*
+		exitcode=$?
+	fi	
 fi
 
 if [ "${exitcode}" == "0" ]; then